# $Id: httpd-subversion.conf 18 2009-09-29 09:47:48Z liqt $
# subversion config for apache2.2
#
LoadModule dav_svn_module /Wamp/subversion/bin/mod_dav_svn.so
LoadModule authz_svn_module /Wamp/subversion/bin/mod_authz_svn.so

<Location /svn>
Order deny,allow
Deny from all
DAV svn
SVNListParentPath on

# 版本库路径
SVNParentPath d:/svn

# 授权文件
AuthzSVNAccessFile /Wamp/subversion/svn_authz

AuthName "Wamp subversion login"

# 基础认证方式
AuthType Basic
# 基础认证文件，可用apache2.2/bin/htpasswd生成相应账号存储到/Wamp/subversion/apache_auth
AuthUserFile /Wamp/subversion/svn_auth

# 使用LDAP认证方式
#AuthzLDAPAuthoritative off
#AuthBasicProvider ldap
#AuthLDAPURL "ldap://192.168.33.246/dc=30wish,dc=net?uid?sub?(objectClass=*)"
#AuthLDAPBindDN "userid=bind,dc=30wish,dc=net"
#AuthLDAPBindPassword "30wish"

Require valid-user
Satisfy any
</Location>